# $Revision: 1.3 $, $Date: 2006/10/26 00:15:59 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Filter-IRCD
Summary:	POE::Filter::IRCD - a POE-based parser for the IRC protocol
Summary(pl):	POE::Filter::IRCD - oparty na POE analizator protokou IRC
Name:		perl-POE-Filter-IRCD
Version:	2.1
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c14c685dc83a14c21666489df9be298d
URL:		http://search.cpan.org/dist/POE-Filter-IRCD/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-POE >= 0.3202
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl module POE::Filter::IRCD provides a convenient way of parsing and
creating IRC protocol lines.

%description -l pl
Modu perla POE::Filter::IRCD udostpnia wygodny sposb analizy i
tworzenia linii protokou IRC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/POE/Filter/IRCD.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Filter-IRCD.spec,v $
Revision 1.3  2006/10/26 00:15:59  ankry
- ver. 2.1

Revision 1.2  2006/08/20 11:53:03  qboosh
- pl, cleanup

Revision 1.1  2006/07/31 22:01:36  agaran
- initial version 1.8, rel 0.1, builds here
